package forms

import (
	"errors"
	"gadmin/internal/gorm/model"
)

type MigrateUserInfoReq struct {
	PlayerId int64 `json:"player_id" form:"player_id"`
}

func (req *MigrateUserInfoReq) Check() error {
	if req.PlayerId <= 0 {
		return errors.New("玩家ID不能为空")
	}
	return nil
}

type MigrateCompleteReq struct {
	PlayerId int64 `json:"player_id" form:"player_id"`
}

func (req *MigrateCompleteReq) Check() error {
	if req.PlayerId <= 0 {
		return errors.New("玩家ID不能为空")
	}
	return nil
}

// MigrateCompleteData 需要迁移的表数据
type MigrateCompleteData struct {
	PlayerMaterial *model.PlayerMaterial `json:"playerMaterial"`
}
